# Code of conduct

this document outlines rules and guidelines you should follow in order to make sure everyone has an enjoyable experience using ttylde.

## 1. Expected behavior

The following behaviors are expected and requested of all community members: 
 - participate in an authentic and active way. in doing so, you contribute to the health and longevity of this community.
 - exercise consideration and respect in your speech and actions.
 - attempt collaboration before conflict.
 - refrain from demeaning, discriminatory, or harassing behavior and speech.
 - be mindful of your surroundings and of your fellow participants.
 - teach when people need help. don't do it for them.

## 2. Unacceptable behavior

The following behaviours are considered harmful to the community and are prohibited:


 - violence, threats of violence or violent language directed against another person.
 - sexist, racist, homophobic, transphobic, ableist or otherwise discriminatory jokes and language.
 - posting or displaying sexually explicit or violent material.
 - posting or threatening to post other people's personally identifying information ("doxing").
 - personal insults, particularly those related to gender, sexual orientation, race, religion, or disability.
 - unwelcome sexual attention. this includes sexualized comments or jokes.
 - deliberate intimidation, stalking or following.

## 3. Consequences

If any member (including sponsors and those who have sudo permissions), the admins will take any action they deem appropriate, including a temporary ban or permanent expulsion.

## 4. Appealing

If you feel you have been falsely or unfairly accused of violating this code of conduct, use the contact info below to send a concise description of your grievance.

## License and attribution

This code of conduct is based on the [tilde.team code of conduct](https://tilde.team/wiki/code-of-conduct).
