ttylde offers gemini hosting at `gemini://ttylde.karx.xyz`.

to connect, you'll need either a [gemini client](https://gemini.circumlunar.space/clients.html) or a [gemini web proxy](https://portal.mozz.us/gemini/ttylde.karx.xyz/).

ttylde has [the bombadillo client](https://tildegit.org/sloum/bombadillo) installed, which can do gopher as well.

To create your own gemini capsule, accessible at `gemini://ttylde.karx.xyz/~yourusername`, simply create a `public_gemini` directory in your homedir:

```bash
mkdir public_gemini
```

and create an `index.gmi` file. a *super* simple example file using CGI is shown below:

```gemtext
#!/bin/sh
printf "20 text/gemini\r\n"
printf "hello, world!\n"
```

you MUST include the first two lines in order for your client to parse it properly.
make sure the file is marked as executable:

```bash
chmod +x <file>
```
